Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.syndication.io.impl
Class Atom03Parser

    java.lang.Object
      com.sun.syndication.io.impl.BaseWireFeedParser
          com.sun.syndication.io.impl.Atom03Parser

All Implemented Interfaces:
  WireFeedParser

    public class Atom03Parser

extends BaseWireFeedParser

Constructor Summary
`` | `Atom03Parser()`
`protected` | `Atom03Parser(String type, org.jdom.Namespace ns)`

Method Summary
`protected org.jdom.Namespace` | `getAtomNamespace()`
`boolean` | `isMyType(org.jdom.Document document)` Inspects an XML Document (JDOM) to check if it can parse it.
`WireFeed` | `parse(org.jdom.Document document, boolean validate)` Parses an XML document (JDOM Document) into a feed bean.
`protected WireFeed` | `parseFeed(org.jdom.Element eFeed)`
`protected void` | `validateFeed(org.jdom.Document document)`

Methods inherited from class com.sun.syndication.io.impl.BaseWireFeedParser
`extractForeignMarkup, getAttribute, getAttributeValue, getType, parseFeedModules, parseItemModules, parsePersonModules`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Atom03Parser

    public Atom03Parser()

### Atom03Parser

    protected Atom03Parser(String type,
                           org.jdom.Namespace ns)

Method Detail

### getAtomNamespace

    protected org.jdom.Namespace getAtomNamespace()

### isMyType

    public boolean isMyType(org.jdom.Document document)

  Description copied from interface: `WireFeedParser`
  Inspects an XML Document (JDOM) to check if it can parse it.

  It checks if the given document if the type of feeds the parser understands.

  Parameters:
    `document` - XML Document (JDOM) to check if it can be parsed by this parser.
  Returns:
    true if the parser know how to parser this feed, false otherwise.

### parse

    public WireFeed parse(org.jdom.Document document,
                          boolean validate)
                   throws IllegalArgumentException,
                          FeedException

  Description copied from interface: `WireFeedParser`
  Parses an XML document (JDOM Document) into a feed bean.

  Parameters:
    `document` - XML document (JDOM) to parse.
    `validate` - indicates if the feed should be strictly validated (NOT YET IMPLEMENTED).
  Returns:
    the resulting feed bean.
  Throws:
    `IllegalArgumentException` - thrown if the parser cannot handle the given feed type.
    `FeedException` - thrown if a feed bean cannot be created out of the XML document (JDOM).

### validateFeed

    protected void validateFeed(org.jdom.Document document)
                         throws FeedException

  Throws:
    `FeedException`

### parseFeed

    protected WireFeed parseFeed(org.jdom.Element eFeed)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2013 ROME Project. All Rights Reserved.